Subject: substring proposal

From: [email-masked] (Doug Tody)
Date: Mon, 12 Apr 93 08:22:43 MST

Bob, you are missing a key point - the original BT proposal explicitly
states that some "unspecified" characters may follow the rA or rP in
TFORMnnn.  The reason this was done was to provide a hook for just such a
convention as Bill's substring proposal.  BT table readers have to be able
to deal with the possibilty of characters following the rA or rP, although
since these are layered conventions, they can ignore these extra characters
if they choose and still read the table successfully.  In particular, in the
case of the proposed substring convention, the array or list of strings
format is layered upon the simple character vector (NUL terminated ASCII
sequence) defined by the core BT proposal.         - Doug